org.eclipse.rdf4j.console.command

## Class PrintHelp

- java.lang.Object
- - org.eclipse.rdf4j.console.command.ConsoleCommand
  - - org.eclipse.rdf4j.console.command.PrintHelp

- All Implemented Interfaces:
    Command, Help

      public class PrintHelp
      extends ConsoleCommand

  Prints available command and options to the console.
  Author:
    Dale Visser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USAGE`

    - ### Fields inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintHelp(ConsoleIO consoleIO, Map<String,? extends Help> commands)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String... parameters)` Execute the given parameters.
    `String` | `getHelpLong()` Get long description
    `String` | `getHelpShort()` Get short description, small enough to fit on one console row
    `String` | `getName()` Get the name of the command

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `askProceed, getConsoleIO, getConsoleSettings, getConsoleState, usesSettings, write, writeError, writeError, writeInfo, writeln, writeUnopenedError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USAGE

          public static final String USAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PrintHelp

          public PrintHelp(ConsoleIO consoleIO,
                           Map<String,? extends Help> commands)

      Constructor
      Parameters:
        `consoleIO` -
        `commands` -

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### getHelpShort

          public String getHelpShort()

      Description copied from class: `ConsoleCommand`
      Get short description, small enough to fit on one console row
      Specified by:
        `getHelpShort` in interface `Help`
      Overrides:
        `getHelpShort` in class `ConsoleCommand`
      Returns:
        help string

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleCommand`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleCommand`
      Returns:
        string, can be multiple lines

    - #### execute

          public void execute(String... parameters)

      Description copied from interface: `Command`
      Execute the given parameters.
      Specified by:
        `execute` in interface `Command`
      Overrides:
        `execute` in class `ConsoleCommand`
      Parameters:
        `parameters` - parameters typed by user

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.